BSON_ITER_DECIMAL128(3)

SYNOPSIS

            #define BSON_ITER_HOLDS_DECIMAL128(iter) \
               (bson_iter_type ((iter)) == BSON_TYPE_DECIMAL128)

            bool
            bson_iter_decimal128 (const bson_iter_t *iter, /* IN */
                                  bson_decimal128_t *dec); /* OUT */

PARAMETERS

    •   iter: A bson_iter_t <>.

    •   dec: A location for a bson_decimal128_t <>.

DESCRIPTION

Fetches the value from a BSON_TYPE_DECIMAL128 field. You should verify that this is a BSON_TYPE_DECIMAL128 field before calling this function.

RETURNS

true if type was BSON_TYPE_DECIMAL128, otherwise false.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.